{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Consultez la FAQ afin de trouver les informations que vous rceherchez en rapport avec le Pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="FAQ"/>
	<meta property="og:description" content="Consultez la FAQ afin de trouver les informations que vous rceherchez en rapport avec le Pectus Excavatum."/>
{% endblock %}

{% block title %}FAQ
{% endblock %}

{% block body %}
	<section class="container faqs">

		<div class="faqs__breadcrumbs">
			{{ wo_render_breadcrumbs() }}
		</div>
		<h1 class="title title--1 center">FAQ</h1>

		{% if not categories is same as([]) %}
			<h2 class="subtitle center">Trouvez réponses à vos questions !</h2>

			<div class="faqs__search-wrapper">
				<form class="form faqs__search" method="POST">
					<div class="form__row">
						{% include 'components/form/_group.html.twig' with {
							'size': 'full',
							'element': form.search
						}  %}
					</div>

					<div class="form__group">
						{{ form_row(form._token) }}
					</div>

					<div class="form__submit">
						{% include 'components/_button.html.twig' with {
							'class': 'button button__primary',
							'type': 'submit',
							'path': null,
							'label': 'Rechercher'
						} %}
					</div>
				</form>
			</div>

			<div class="faqs__categories">
				{% for category in categories %}
					<a href="{{ path('faq_show_category', {slug: category.slug}) }}" class="faqs__category">
						<div class="image">
							<img src="{{ vich_uploader_asset(category, 'imageFile') | imagine_filter('basic_icon') }}" alt="{{ category.slug }}">
						</div>
						<h3 class="name">{{ category.name }}</h3>
					</a>
				{% endfor %}
			</div>
		{% else %}
			<h2 class="subtitle center">Aucune catégorie n'a été publié à ce jour.</h2>
		{% endif %}
	</section>
{% endblock %}
